Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::spi::InternalLoggingEvent Class Reference

The internal representation of logging events. More...

`#include <loggingevent.h>`

Collaboration diagram for log4cplus::spi::InternalLoggingEvent:

[legend]
List of all members.

## Public Member Functions
| InternalLoggingEvent (const log4cplus::tstring &logger, LogLevel ll, const log4cplus::tstring &message, const char *filename, int line)
| Instantiate a LoggingEvent from the supplied parameters.
| InternalLoggingEvent (const log4cplus::tstring &logger, LogLevel ll, const log4cplus::tstring &ndc, const log4cplus::tstring &message, const log4cplus::tstring &thread, log4cplus::helpers::Time time, const log4cplus::tstring &file, int line)
| InternalLoggingEvent (const log4cplus::spi::InternalLoggingEvent &rhs)
virtual | ~InternalLoggingEvent ()
virtual const log4cplus::tstring & | getMessage () const
| The application supplied message of logging event.
virtual unsigned int | getType () const
| Returns the 'type' of InternalLoggingEvent.
virtual std::auto_ptr< InternalLoggingEvent > | clone () const
| Returns a copy of this object.
const log4cplus::tstring & | getLoggerName () const
| The logger of the logging event.
LogLevel | getLogLevel () const
| LogLevel of logging event.
const log4cplus::tstring & | getNDC () const
| The nested diagnostic context (NDC) of logging event.
const log4cplus::tstring & | getThread () const
| The name of thread in which this logging event was generated.
const log4cplus::helpers::Time & | getTimestamp () const
| The number of milliseconds elapsed from 1/1/1970 until logging event was created.
const log4cplus::tstring & | getFile () const
| The is the file where this log statement was written.
int | getLine () const
| The is the line where this log statement was written.
log4cplus::spi::InternalLoggingEvent & | operator= (const log4cplus::spi::InternalLoggingEvent &rhs)
## Static Public Member Functions
unsigned int | getDefaultType ()
## Protected Attributes
log4cplus::tstring | message

## Detailed Description

The internal representation of logging events.

When an affirmative decision is made to log then a `InternalLoggingEvent` instance is created. This instance is passed around to the different log4cplus components.

This class is of concern to those wishing to extend log4cplus.

Definition at line 36 of file loggingevent.h.

## Constructor & Destructor Documentation

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::tstring & | logger,
|  | LogLevel | ll,
|  | const log4cplus::tstring & | message,
|  | const char * | filename,
|  | int | line
| ) | `[inline]`

  | Instantiate a LoggingEvent from the supplied parameters. Parameters:
  logger | The logger of this event.
  ll | The LogLevel of this event.
  message | The message of this event.
Definition at line 46 of file loggingevent.h. References LOG4CPLUS_C_STR_TO_TSTRING, and log4cplus::tstring.

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::tstring & | logger,
|  | LogLevel | ll,
|  | const log4cplus::tstring & | ndc,
|  | const log4cplus::tstring & | message,
|  | const log4cplus::tstring & | thread,
|  | log4cplus::helpers::Time | time,
|  | const log4cplus::tstring & | file,
|  | int | line
| ) | `[inline]`

| Definition at line 66 of file loggingevent.h.

log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::spi::InternalLoggingEvent & | rhs | ) | `[inline]`

| Definition at line 87 of file loggingevent.h. References log4cplus::getNDC().

virtual log4cplus::spi::InternalLoggingEvent::~InternalLoggingEvent | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual std::auto_ptr<InternalLoggingEvent> log4cplus::spi::InternalLoggingEvent::clone | ( |  | ) | const`[virtual]`

| Returns a copy of this object. Derived classes should override this method.

unsigned int log4cplus::spi::InternalLoggingEvent::getDefaultType | ( |  | ) | `[static]`

const log4cplus::tstring& log4cplus::spi::InternalLoggingEvent::getFile | ( |  | ) | const`[inline]`

| The is the file where this log statement was written. Definition at line 153 of file loggingevent.h.

int log4cplus::spi::InternalLoggingEvent::getLine | ( |  | ) | const`[inline]`

| The is the line where this log statement was written. Definition at line 156 of file loggingevent.h.

const log4cplus::tstring& log4cplus::spi::InternalLoggingEvent::getLoggerName | ( |  | ) | const`[inline]`

| The logger of the logging event. It is set by the LoggingEvent constructor. Definition at line 125 of file loggingevent.h.

LogLevel log4cplus::spi::InternalLoggingEvent::getLogLevel | ( |  | ) | const`[inline]`

| LogLevel of logging event. Definition at line 128 of file loggingevent.h. References log4cplus::LogLevel.

virtual const log4cplus::tstring& log4cplus::spi::InternalLoggingEvent::getMessage | ( |  | ) | const`[virtual]`

| The application supplied message of logging event.

const log4cplus::tstring& log4cplus::spi::InternalLoggingEvent::getNDC | ( |  | ) | const`[inline]`

| The nested diagnostic context (NDC) of logging event. Definition at line 131 of file loggingevent.h. References log4cplus::NDC::get(), and log4cplus::getNDC().

const log4cplus::tstring& log4cplus::spi::InternalLoggingEvent::getThread | ( |  | ) | const`[inline]`

| The name of thread in which this logging event was generated. Definition at line 140 of file loggingevent.h.

const log4cplus::helpers::Time& log4cplus::spi::InternalLoggingEvent::getTimestamp | ( |  | ) | const`[inline]`

| The number of milliseconds elapsed from 1/1/1970 until logging event was created. Definition at line 150 of file loggingevent.h.

virtual unsigned int log4cplus::spi::InternalLoggingEvent::getType | ( |  | ) | const`[virtual]`

| Returns the 'type' of InternalLoggingEvent. Derived classes should override this method. (NOTE: Values <= 1000 are reserved for log4cplus and should not be used.)

log4cplus::spi::InternalLoggingEvent& log4cplus::spi::InternalLoggingEvent::operator= | ( | const log4cplus::spi::InternalLoggingEvent & | rhs | ) |

## Member Data Documentation

log4cplus::tstring log4cplus::spi::InternalLoggingEvent::message`[protected]`

| Definition at line 167 of file loggingevent.h.

The documentation for this class was generated from the following file:

- loggingevent.h